%define name	opengroupware-pilot-link
%define version 0.11.8
%define cvs	20031201
%define release %{cvs}.1mdk

Summary:     Libpisock library for OpenGroupware.org
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make
Source:      opengroupware.org-pilot-link-%{cvs}.tar.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel

%description
This package contains the libpisock library for processing Palm
databases and connections. The RPM is compiled to run in the OpenGroupware
application server environment.

%package devel
Summary: The header files for the libpisock library.
Group:   Development/Other
Requires: %{name}

%description devel
The devel package contains the header files for the libpisock library.

%prep
%setup -n opengroupware.org-pilot-link
%configure  
%build

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}

./cfg-gnustep.sh
make -s

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_SYSTEM_ROOT=${RPM_BUILD_ROOT}%{prefix}

./cfg-gnustep.sh
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${GNUSTEP_SYSTEM_ROOT}" install
mkdir -p $RPM_BUILD_ROOT%{prefix}/Headers
mv $RPM_BUILD_ROOT%{prefix}/include/* $RPM_BUILD_ROOT%{prefix}/Headers
rm -rf $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/Libraries/ix86/linux-gnu
mv $RPM_BUILD_ROOT%{prefix}/lib/* $RPM_BUILD_ROOT%{prefix}/Libraries/ix86/linux-gnu
rm -rf $RPM_BUILD_ROOT%{prefix}/lib
rm -rf $RPM_BUILD_ROOT%{prefix}/share


%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi
exit 0

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.OGo INSTALL COPYING ChangeLog.OGo COPYING.LIB

%{prefix}/Libraries/ix86/linux-gnu/libpisock.so.8
%{prefix}/Libraries/ix86/linux-gnu/libpisock.so.8.0.5

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/pi-*.h
%{prefix}/Libraries/ix86/linux-gnu/libpisock.a
%{prefix}/Libraries/ix86/linux-gnu/libpisock.la
%{prefix}/Libraries/ix86/linux-gnu/libpisock.so

%changelog
* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11.8-20031201.1mdk
- new module for OGo
- initial Mandrake release
